=== debian/rules ===
#!/usr/bin/make -f

%: 
	+dh $@

override_dh_auto_build:
	cd src/runtime/python && EXTRA_INCLUDE_DIRS=$(CURDIR)/src/runtime/c EXTRA_LIB_DIRS=$(CURDIR)/src/runtime/c/.libs python setup.py build
	echo LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:$(CURDIR)/src/runtime/c/.libs
	LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:$(CURDIR)/src/runtime/c/.libs cabal build

override_dh_auto_clean:
	rm -fr dist/build
	-cd src/runtime/python && rm -fr build
	-cd src/runtime/c && make clean

override_dh_auto_configure:
	cd src/runtime/c && ./setup.sh configure --prefix=/usr
	cd src/runtime/c && ./setup.sh build
	cabal update
	cabal install --only-dependencies
	cabal configure --prefix=/usr -fserver -fc-runtime --extra-lib-dirs=$(CURDIR)/src/runtime/c/.libs --extra-include-dirs=$(CURDIR)/src/runtime/c

override_dh_auto_install:
	LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:$(CURDIR)/src/runtime/c/.libs cabal copy --destdir=$(CURDIR)/debian/gf
	cd src/runtime/c && ./setup.sh copy prefix=$(CURDIR)/debian/gf/usr
	cd src/runtime/python && python setup.py install --prefix=$(CURDIR)/debian/gf/usr
	D="`find debian/gf -name site-packages`" && [ -n "$$D" ] && cd $$D && cd .. && mv site-packages dist-packages

override_dh_auto_test:
ifneq (nocheck,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	true
#	cabal test
endif
